auto-resize fails due to fsck error on superblock

Bug #431786 reported by Dave Morley on 2009-09-17
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Colin Watson
Karmic
High
Colin Watson

Bug Description

Binary package hint: ubiquity

On auto-resize install of Ubuntu against an ext3/4 file system the partition fails to complete the resize due to fsck error.

Fsck failed due to superblock last access being in the future.

I'm sure this is associated with other similar bugs but decided to open a new one incase it wasn't

ProblemType: Bug
Architecture: i386
Date: Thu Sep 17 11:43:16 2009
DistroRelease: Ubuntu 9.10
LiveMediaBuild: Ubuntu 9.10 "Karmic Koala" - Alpha i386 (20090917.1)
Package: ubiquity 1.99.21
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-10.34-generic
SourcePackage: ubiquity
Uname: Linux 2.6.31-10-generic i686

Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :

As a temporary work around you can simply reboot into the existing fs, run fsck this fixes the issue. You then restart the install and everything is fine, on hardware at least.

Ara Pulido (ara) wrote :

Reassigning it on behalf of davmor2

affects: ubiquity (Ubuntu) → e2fsprogs (Ubuntu)

<davmor2> date is thu sep 17 15:41:47 bst 2009 so that is wrong

When ubiquity resizes the partitions, it hasn't yet made any changes to the system clock to account for a hardware clock in local time, but it has set a timezone.

So basically the resize happens an hour in the future, that's written to the superblock, and then after partitioning the installer works out what the time really is and that's ok when you reboot - but now you hit the fsck

affects: e2fsprogs (Ubuntu) → ubiquity (Ubuntu)
Steve Langasek (vorlon) on 2009-09-17
Changed in ubiquity (Ubuntu Karmic):
importance: Undecided → High
Colin Watson (cjwatson) on 2009-09-24
Changed in ubiquity (Ubuntu Karmic):
status: New → Triaged
assignee: nobody → Colin Watson (cjwatson)
Colin Watson (cjwatson) on 2009-09-27
Changed in ubiquity (Ubuntu Karmic):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 1.99.24

---------------
ubiquity (1.99.24) karmic; urgency=low

  * Reorganise clock handling. The system wall clock is now set as early as
    possible, and not reset after partitioning; and the timezone and
    hardware clock configuration are now changed in the live filesystem root
    as well as in /target (LP: #431786).
  * Update translations from Launchpad.

 -- Colin Watson <email address hidden> Sun, 27 Sep 2009 17:50:22 +0100

Changed in ubiquity (Ubuntu Karmic):
status: Fix Committed → Fix Released
tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers